Package org.lwjgl.util.glu

# Class Registry

java.lang.Object
org.lwjgl.util.glu.Util
org.lwjgl.util.glu.Registry

public class Registry extends Util
Registry.java Created 11-jan-2004

Author:
  Erik Duijs

## Constructor Summary

Constructors
Constructor
Description
`Registry()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`gluCheckExtension(String extName, String extString)`
Method gluCheckExtension
`static String`
`gluGetString(int name)`
Method gluGetString

### Methods inherited from class org.lwjgl.util.glu.Util

`bytesPerPixel, ceil, compPerPix, cross, glGetIntegerv, nearestPower, normalize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Registry

public Registry()

## Method Details

### gluGetString

public static String gluGetString(int name)
Method gluGetString

Parameters:
  `name` -
Returns:
  String

### gluCheckExtension

public static boolean gluCheckExtension(String extName, String extString)
Method gluCheckExtension

Parameters:
  `extName` - is an extension name.
  `extString` - is a string of extensions separated by blank(s). There may or may not be leading or trailing blank(s) in extString. This works in cases of extensions being prefixes of another like GL_EXT_texture and GL_EXT_texture3D.
Returns:
  boolean true if extName is found otherwise it returns false.